/* search.h

Declarations for functions defined in search.c

    Copyright (C) 1999, 2000 Conrado Badenas <Conrado.Badenas@uv.es>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef SEARCH_H
#define SEARCH_H

#include "number.h"

unsigned rootlin(Number a,Number b,Number *x1);
unsigned rootquad(Number a,Number b,Number c,Number *x1,Number *x2);
unsigned rootcub(Number a,Number b,Number c,Number d,
	Number *x1,Number *x2,Number *x3);
Number rootfunc(Number (*f)(Number),Number x1,Number x2,
	Number eabs,Number erel,unsigned maxiter);

#endif
