/* dvector.h

Definition of type dVector and declarations for functions defined in dvector.c

    Copyright (C) 1999, 2000 Conrado Badenas <Conrado.Badenas@uv.es>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef DVECTOR_H
#define DVECTOR_H

#include <stdlib.h>

#include "number.h"

typedef struct {size_t nmax,n;Number *v;} dVector;

void i_dvector(dVector *pdv,size_t nmax);
void l_dvector(dVector *pdv);
void f_dvector(dVector *pdv);
Number g_dvector(dVector *pdv,size_t i);
void s_dvector(dVector *pdv,size_t i,Number elem);

#endif
