/* number.h

Definition of type Number and definition of some properties of Number

    Copyright (C) 1999, 2000, 2001 Conrado Badenas <Conrado.Badenas@uv.es>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef szNumber

#include <float.h>

typedef double Number;
#define EPSILON DBL_EPSILON
#define MAXIMUM DBL_MAX
#define MINIMUM DBL_MIN
#define DIG1    DBL_DIG+1
#define szNumber (sizeof(Number))

#define SN  "%lf"
#define PN  "%g"
#if DIG1==7
	#define PND "%#.7g"
#endif
#if DIG1==16
	#define PND "%#.16g"
#endif
#if DIG1==19
	#define PND "%#.19g"
#endif
#if DIG1!=7 && DIG1!=16 && DIG1!=19
	#define PND "%#.99g"
/* If DIG1 attains a value different to 7, 16 or 19 in your system,
   please, let me know it <Conrado.Badenas@uv.es> */
#endif

#endif
