/* planck.h

Declarations for functions and constants defined in planck.c

    Copyright (C) 1999, 2000 Conrado Badenas <Conrado.Badenas@uv.es>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef PLANCK_H
#define PLANCK_H

#include "number.h"

void i_planck(Number  c1,Number  erc1,Number  c2,Number  erc2,int  hold);
void g_planck(Number *c1,Number *erc1,Number *c2,Number *erc2,int *hold);
Number B(Number nu,Number t);
Number T(Number b,Number nu);
Number dBdT(Number nu,Number t);
Number alpha(Number x);

#endif
